haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.AlternateNumberFormat

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

newtype Log #

Constructors

LogShake Log |

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Plugin.AlternateNumberFormat Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Plugin.AlternateNumberFormat Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #